QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get all product categories

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    refreshstringqueryNoSend false when using server cache is fine
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    idstring
    namestring
    {
      "message": null,
      "content": [
        {
          "id": "bigCat1",
          "name": "Electrical & Electronic products"
        },
        {
          "id": "bigCat2",
          "name": "Homeware, Gardenware"
        }
      ]
    }

    Content-Type: application/json

    GET
    /parameter/v2/product-categories
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "id": "bigCat1", "name": "Electrical & Electronic products" }, { "id": "bigCat2", "name": "Homeware, Gardenware" } ] }